Index: extensions/ContestResults/include/functions.php
===================================================================
--- extensions/ContestResults/include/functions.php	(revision 9744)
+++ extensions/ContestResults/include/functions.php	(revision 9745)
@@ -20,10 +20,10 @@
 		return $contest['name'];
 	} else {
-		return null;
+		return false;
 	}
 }
 
 // Nombre de jours entre deux dates
-function DateDiff($date2, $date1) {
+function date_diff($date2, $date1) {
 	return ceil((strtotime($date2)-strtotime($date1))/(3600*24));
 }
@@ -37,3 +37,19 @@
 	}
 }
+
+// Calcul le status d'un concours
+function get_contest_status($date_begin, $date_end) {
+	if (!is_date_passed($date_begin)) {
+		$contest['status'] = 'pending';
+		$contest['days'] = l10n_dec('CR_%d_days_to_begin', 'CR_%d_days_to_begin', date_diff($date_begin,date('Y-m-d')));
+	} else if (is_date_passed($date_end)) {
+		$contest['status'] = 'finished';
+		$contest['days'] = l10n('CR_finished');
+	} else { 
+		$contest['status'] = 'running';
+		$contest['days'] = l10n_dec('CR_%d_days_to_end', 'CR_%d_days_to_end', date_diff($date_end,date('Y-m-d')));
+	}
+	
+	return $contest;
+}
 ?>
Index: extensions/ContestResults/language/en_UK/plugin.lang.php
===================================================================
--- extensions/ContestResults/language/en_UK/plugin.lang.php	(revision 9744)
+++ extensions/ContestResults/language/en_UK/plugin.lang.php	(revision 9745)
@@ -1,5 +1,19 @@
 <?php
 
+/* général */
 $lang['Contests'] = 'Contests';
+$lang['CR_finished'] = 'Finished';
+$lang['CR_results'] = 'Results';
+$lang['CR_place'] = 'place';
+$lang['CR_nopublic'] = 'This page is not available for the public !';
+$lang['CR_notavailable'] = 'This contest is not available';
+$lang['CR_%d_days_to_begin'] = "Begins in %d days";
+$lang['CR_%d_days_to_end'] = "%d days remaining";
+$lang['CR_order_1'] = '1<sup>st</sup>';
+$lang['CR_order_2'] = '2<sup>nd</sup>';
+$lang['CR_order_3'] = '3<sup>rd</sup>';
+$lang['CR_order_sup'] = '<sup>th</sup>';
+
+/* admin */
 $lang['CR_edit_tab'] = 'Edit contest';
 $lang['CR_delete'] = 'Delete contest';
@@ -8,7 +22,4 @@
 $lang['CR_new_tab'] = 'Add a new contest';
 $lang['CR_results_tab'] = 'Contest results';
-$lang['CR_pending_title'] = 'Pending contests';
-$lang['CR_finished_title'] = 'Finished contest';
-$lang['CR_results'] = 'Results';
 $lang['CR_go'] = 'Go to the contest page';
 $lang['CR_title'] = 'Title';
@@ -18,6 +29,4 @@
 $lang['CR_logo'] = 'Logo';
 $lang['CR_banner'] = 'Banner';
-$lang['CR_pending'] = 'Pending';
-$lang['CR_finished'] = 'Finished';
 $lang['CR_summary'] = 'Summary';
 $lang['CR_textareas'] = 'Contest description';
@@ -30,10 +39,7 @@
 $lang['CR_comment'] = 'Comment';
 $lang['CR_rank'] = 'Rank';
-$lang['CR_place'] = 'place';
-$lang['CR_period'] = 'Period';
 $lang['CR_visible'] = 'Public';
-$lang['CR_nopublic'] = 'This page is not available for the public !';
-$lang['CR_notavailable'] = 'This contest is not available';
 $lang['CR_id_unknown %d'] = "The picture n°%d doesn't exist";
+$lang['CR_duplicate_result %d'] = "The picture n°%d appears twice";
 $lang['CR_contest_saved'] = "Contest settings saved";
 $lang['CR_contest_added'] = "Contest added";
@@ -41,17 +47,21 @@
 $lang['CR_results_saved'] = "Results saved";
 $lang['CR_name_empty'] = "The name of the contest can't be empty";
-$lang['CR_days'] = "days remaining";
+$lang['CR_pending_title'] = 'Pending contests';
+$lang['CR_running_title'] = 'Contests running';
+$lang['CR_finished_title'] = 'Finished contest';
 
-$lang['CR_order_1'] = '1<sup>st</sup>';
-$lang['CR_order_2'] = '2<sup>nd</sup>';
-$lang['CR_order_3'] = '3<sup>rd</sup>';
-$lang['CR_order_sup'] = '<sup>th</sup>';
-
-$lang['CR_menubar_mode'] = 'Add ContestResults to the menu';
+/* config */
+$lang['CR_menubar_mode'] = 'Add Contest Results to the menu';
 $lang['CR_menubar_link'] = 'Add a link to a existing menu-block';
 $lang['CR_menubar_link_display'] = 'Display the link in the following blocks';
 $lang['CR_menubar_block'] = 'New menu block';
 $lang['CR_menubar_block_number'] = 'Quantity of contests to display in the block';
+$lang['CR_truncate_summary'] = "Truncate the summary of the contest after x characters";
 
+/* stuffs */
+$lang['CR_select_contest'] = "Select one or more contests";
+$lang['CR_stuffs_desc'] = "Display one or more contests";
+
+/* cluetip */
 $lang['CR_help_lang'] = (CR_ED_STATE == 'active') ? "<b>You can use HTML and multilanguage descriptions.</b>" : "<b>You can use HTML.</b>";
 $lang['CR_help_title'] = "" . $lang['CR_help_lang'];
Index: extensions/ContestResults/language/es_ES/plugin.lang.php
===================================================================
--- extensions/ContestResults/language/es_ES/plugin.lang.php	(revision 9744)
+++ extensions/ContestResults/language/es_ES/plugin.lang.php	(revision 9745)
@@ -1,5 +1,19 @@
 <?php
 
+/* général */
 $lang['Contests'] = 'Concurso';
+$lang['CR_finished'] = 'Terminado';
+$lang['CR_results'] = 'Resultados';
+$lang['CR_place'] = 'sitio';
+$lang['CR_nopublic'] = "Esta página no es accesible al público !";
+$lang['CR_notavailable'] = "Este concurso no está disponible";
+$lang['CR_%d_days_to_begin'] = "Begins in %d days";
+$lang['CR_%d_days_to_end'] = "%d days remaining";
+$lang['CR_order_1'] = '1<sup>a</sup>';
+$lang['CR_order_2'] = '2<sup>0</sup>';
+$lang['CR_order_3'] = '3<sup>0</sup>';
+$lang['CR_order_sup'] = '<sup>0</sup>';
+
+/* admin */
 $lang['CR_edit_tab'] = 'Edición del Concurso';
 $lang['CR_delete'] = 'Suprimir el concurso';
@@ -8,7 +22,4 @@
 $lang['CR_new_tab'] = 'Añadir un nuevo concurso';
 $lang['CR_results_tab'] = 'Resultados del Concurso';
-$lang['CR_pending_title'] = 'Concursos en curso';
-$lang['CR_finished_title'] = 'Concurso terminado';
-$lang['CR_results'] = 'Resultados';
 $lang['CR_go'] = 'Ir a la página del concurso';
 $lang['CR_title'] = 'Titulo';
@@ -18,6 +29,4 @@
 $lang['CR_logo'] = 'Logo';
 $lang['CR_banner'] = 'Bandera';
-$lang['CR_pending'] = 'En curso';
-$lang['CR_finished'] = 'Terminado';
 $lang['CR_summary'] = 'Resumen';
 $lang['CR_textareas'] = 'Descripcion del concurso';
@@ -30,10 +39,7 @@
 $lang['CR_comment'] = 'Comentario';
 $lang['CR_rank'] = 'Rango';
-$lang['CR_place'] = 'sitio';
-$lang['CR_period'] = 'Periodo';
 $lang['CR_visible'] = 'Publico';
-$lang['CR_nopublic'] = "Esta página no es accesible al público !";
-$lang['CR_notavailable'] = "Este concurso no está disponible";
 $lang['CR_id_unknown %d'] = "Imagen #% d no existe";
+$lang['CR_duplicate_result %d'] = "The picture n°%d appears twice";
 $lang['CR_contest_saved'] = "Configuración del concurso guardada";
 $lang['CR_contest_added'] = "Concurso añadido";
@@ -41,11 +47,9 @@
 $lang['CR_results_saved'] = "Resultados guardado ";
 $lang['CR_name_empty'] = "El nombre del concurso no puede estar vacío";
-$lang['CR_days'] = "días restantes";
+$lang['CR_pending_title'] = 'Concursos en curso';
+$lang['CR_running_title'] = 'Contests running';
+$lang['CR_finished_title'] = 'Concurso terminado';
 
-$lang['CR_order_1'] = '1<sup>a</sup>';
-$lang['CR_order_2'] = '2<sup>0</sup>';
-$lang['CR_order_3'] = '3<sup>0</sup>';
-$lang['CR_order_sup'] = '<sup>0</sup>';
-
+/* config */
 $lang['CR_menubar_mode'] = 'Insertar ContestResults al menú';
 $lang['CR_menubar_link'] = 'Vínculo en un bloque menú existente'; 
@@ -53,5 +57,11 @@
 $lang['CR_menubar_block'] = 'Nuevo bloque menú';
 $lang['CR_menubar_block_number'] = 'Número de Concursos para mostrar en el bloque';
+$lang['CR_truncate_summary'] = "Truncate the summary of the contest after x characters";
 
+/* stuffs */
+$lang['CR_select_contest'] = "Select one or more contests";
+$lang['CR_stuffs_desc'] = "Display one or more contests";
+
+/* cluetip */
 $lang['CR_help_lang'] = (CR_ED_STATE == 'active') ? "<b>Puede usar HTML y descripciones multilingüe.</b>" : "<b>Puede usar HTML.</b>";
 $lang['CR_help_title'] = "" .$lang['CR_help_lang'];
@@ -67,4 +77,4 @@
 	- Pase el ratón sobre el icono <img src='".CR_PATH."admin/template/image/images.png'/> para ver la imagen correspondiente al identificador de entrada.<br/>
 	<br/>" .$lang['CR_help_lang'];
-	
+
 ?>
Index: extensions/ContestResults/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/ContestResults/language/fr_FR/plugin.lang.php	(revision 9744)
+++ extensions/ContestResults/language/fr_FR/plugin.lang.php	(revision 9745)
@@ -1,5 +1,19 @@
 <?php
 
+/* général */
 $lang['Contests'] = 'Concours';
+$lang['CR_finished'] = 'Terminé';
+$lang['CR_results'] = 'Résultats';
+$lang['CR_place'] = 'place';
+$lang['CR_nopublic'] = "Cette page n'est pas accessible au public !";
+$lang['CR_notavailable'] = "Ce concours n'est pas disponible";
+$lang['CR_%d_days_to_begin'] = "Commence dans %d jours";
+$lang['CR_%d_days_to_end'] = "%d jours restants";
+$lang['CR_order_1'] = '1<sup>ère</sup>';
+$lang['CR_order_2'] = '2<sup>ème</sup>';
+$lang['CR_order_3'] = '3<sup>ème</sup>';
+$lang['CR_order_sup'] = '<sup>ème</sup>';
+
+/* admin */
 $lang['CR_edit_tab'] = 'Editer le concours';
 $lang['CR_delete'] = 'Supprimer le concours';
@@ -8,7 +22,4 @@
 $lang['CR_new_tab'] = 'Ajouter un nouveau concours';
 $lang['CR_results_tab'] = 'Résultats du concours';
-$lang['CR_pending_title'] = 'Concours en cours';
-$lang['CR_finished_title'] = 'Concours terminés';
-$lang['CR_results'] = 'Résultats';
 $lang['CR_go'] = 'Aller sur la page du concours';
 $lang['CR_title'] = 'Titre';
@@ -18,6 +29,4 @@
 $lang['CR_logo'] = 'Logo';
 $lang['CR_banner'] = 'Bannière';
-$lang['CR_pending'] = 'En cours';
-$lang['CR_finished'] = 'Terminé';
 $lang['CR_summary'] = 'Résumé';
 $lang['CR_textareas'] = 'Description du concours';
@@ -30,10 +39,7 @@
 $lang['CR_comment'] = 'Commentaire';
 $lang['CR_rank'] = 'Rang';
-$lang['CR_place'] = 'place';
-$lang['CR_period'] = 'Période';
 $lang['CR_visible'] = 'Publique';
-$lang['CR_nopublic'] = "Cette page n'est pas accessible au public !";
-$lang['CR_notavailable'] = "Ce concours n'est pas disponible";
 $lang['CR_id_unknown %d'] = "L'image n°%d n'existe pas";
+$lang['CR_duplicate_result %d'] = "L'image n°%d est en double";
 $lang['CR_contest_saved'] = "Paramètres du concours sauvegardés";
 $lang['CR_contest_added'] = "Concours ajouté";
@@ -41,17 +47,21 @@
 $lang['CR_results_saved'] = "Résultats sauvegardés";
 $lang['CR_name_empty'] = "Le nom du concours ne peut être vide";
-$lang['CR_days'] = "jours restants";
+$lang['CR_pending_title'] = 'Concours en attente';
+$lang['CR_running_title'] = 'Concours en cours';
+$lang['CR_finished_title'] = 'Concours terminés';
 
-$lang['CR_order_1'] = '1<sup>ère</sup>';
-$lang['CR_order_2'] = '2<sup>ème</sup>';
-$lang['CR_order_3'] = '3<sup>ème</sup>';
-$lang['CR_order_sup'] = '<sup>ème</sup>';
-
-$lang['CR_menubar_mode'] = 'Intégrer ContestResults au menu';
+/* config */
+$lang['CR_menubar_mode'] = 'Intégrer Contest Results au menu';
 $lang['CR_menubar_link'] = 'Lien dans un bloc menu existant';
 $lang['CR_menubar_link_display'] = 'Afficher le lien dans les blocs';
 $lang['CR_menubar_block'] = 'Nouveau bloc menu';
 $lang['CR_menubar_block_number'] = 'Nombre de concours à afficher dans le bloc';
+$lang['CR_truncate_summary'] = "Tronquer le résumé du concours après x caractères";
 
+/* stuffs */
+$lang['CR_select_contest'] = "Sélectionnez un ou plusieurs concours";
+$lang['CR_stuffs_desc'] = "Afficher un ou plusieurs concours";
+
+/* cluetip */
 $lang['CR_help_lang'] = (CR_ED_STATE == 'active') ? "<b>Vous pouvez utiliser du HTML et les descriptions multilingues.</b>" : "<b>Vous pouvez utiliser du HTML.</b>";
 $lang['CR_help_title'] = "" . $lang['CR_help_lang'];
Index: extensions/ContestResults/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/ContestResults/language/lv_LV/plugin.lang.php	(revision 9744)
+++ extensions/ContestResults/language/lv_LV/plugin.lang.php	(revision 9745)
@@ -1,5 +1,19 @@
 <?php
 
+/* général */
 $lang['Contests'] = 'Konkursi';
+$lang['CR_finished'] = 'Pabeigts';
+$lang['CR_results'] = 'Rezultāti';
+$lang['CR_place'] = 'vietu';
+$lang['CR_nopublic'] = 'Šī lapa nav publiski pieejama !';
+$lang['CR_notavailable'] = 'Šis konkurss nav pieejams';
+$lang['CR_%d_days_to_begin'] = "Begins in %d days";
+$lang['CR_%d_days_to_end'] = "%d days remaining";
+$lang['CR_order_1'] = '1.';
+$lang['CR_order_2'] = '2.';
+$lang['CR_order_3'] = '3.';
+$lang['CR_order_sup'] = '.';
+
+/* admin */
 $lang['CR_edit_tab'] = 'Rediģēt konkursu';
 $lang['CR_delete'] = 'Dzēst konkursu';
@@ -8,7 +22,4 @@
 $lang['CR_new_tab'] = 'Pievienot jaunu konkursu';
 $lang['CR_results_tab'] = 'Konkursa rezultāti';
-$lang['CR_pending_title'] = 'Vēl nepabeigtie konkursi';
-$lang['CR_finished_title'] = 'Pabeigtie konkursi';
-$lang['CR_results'] = 'Rezultāti';
 $lang['CR_go'] = 'Iet uz konkursa lapu';
 $lang['CR_title'] = 'Nosaukums';
@@ -18,6 +29,4 @@
 $lang['CR_logo'] = 'Logo';
 $lang['CR_banner'] = 'Baneris';
-$lang['CR_pending'] = 'Vēl nepabeigts';
-$lang['CR_finished'] = 'Pabeigts';
 $lang['CR_summary'] = 'Kopā';
 $lang['CR_textareas'] = 'Konkursa apraksts';
@@ -30,10 +39,7 @@
 $lang['CR_comment'] = 'Komentārs';
 $lang['CR_rank'] = 'Novērtējums';
-$lang['CR_place'] = 'vietu';
-$lang['CR_period'] = 'Periods';
 $lang['CR_visible'] = 'Redzams';
-$lang['CR_nopublic'] = 'Šī lapa nav publiski pieejama !';
-$lang['CR_notavailable'] = 'Šis konkurss nav pieejams';
 $lang['CR_id_unknown %d'] = "Attēls n°%d neeksistē";
+$lang['CR_duplicate_result %d'] = "The picture n°%d appears twice";
 $lang['CR_contest_saved'] = "Konkursa iestatījumi saglabāti";
 $lang['CR_contest_added'] = "Konkurss pievienots";
@@ -41,11 +47,9 @@
 $lang['CR_results_saved'] = "Rezultāti saglabāti";
 $lang['CR_name_empty'] = "Konkursa nosaukums nevar būt tukšs";
-$lang['CR_days'] = "atlikušo dienu";
+$lang['CR_pending_title'] = 'Vēl nepabeigtie konkursi';
+$lang['CR_running_title'] = 'Contests running';
+$lang['CR_finished_title'] = 'Pabeigtie konkursi';
 
-$lang['CR_order_1'] = '1.';
-$lang['CR_order_2'] = '2.';
-$lang['CR_order_3'] = '3.';
-$lang['CR_order_sup'] = '.';
-
+/* config */
 $lang['CR_menubar_mode'] = 'Pievienot Konkursa Rezultātus izvēlnei';
 $lang['CR_menubar_link'] = 'Pievienot saiti uz esošu izvēlnes bloku';
@@ -53,5 +57,11 @@
 $lang['CR_menubar_block'] = 'Jauns izvēlnes bloks';
 $lang['CR_menubar_block_number'] = 'Blokā attēlojamo konkursu skaits';
+$lang['CR_truncate_summary'] = "Truncate the summary of the contest after x characters";
 
+/* stuffs */
+$lang['CR_select_contest'] = "Select one or more contests";
+$lang['CR_stuffs_desc'] = "Display one or more contests";
+
+/* cluetip */
 $lang['CR_help_lang'] = (CR_ED_STATE == 'active') ? "<b>Iespējasm lietot HTML un multivalodu aprakstus.</b>" : "<b>Varat lietot HTML.</b>";
 $lang['CR_help_title'] = "" . $lang['CR_help_lang'];
Index: extensions/ContestResults/main.inc.php
===================================================================
--- extensions/ContestResults/main.inc.php	(revision 9744)
+++ extensions/ContestResults/main.inc.php	(revision 9745)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: ContestResults
-Version: 1.3
+Version: 1.3.b
 Description: Add contests management pages
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=439
@@ -11,5 +11,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-global $prefixeTable, $conf;
+global $prefixeTable, $conf, $pwg_loaded_plugins;
 
 // +-----------------------------------------------------------------------+
@@ -17,14 +17,12 @@
 // +-----------------------------------------------------------------------+
 define('CR_NAME' , 'Contest Results');
-define('CR_VERSION', '1.3');
+define('CR_VERSION', '1.3.b');
 define('CR_DIR' , basename(dirname(__FILE__)));
 define('CR_PATH' , PHPWG_PLUGINS_PATH . CR_DIR . '/');
 define('CR_TABLE_1' , $prefixeTable . 'contests');
 define('CR_TABLE_2' , $prefixeTable . 'contests_results');
-define('CR_ADMIN', PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CR_DIR . '/admin/admin.php');
+define('CR_ADMIN', get_root_url().'admin.php?page=plugin-' . CR_DIR);
 define('CR_PUBLIC', make_index_url(array('section' => 'contests')) . '/');
-
-$ED = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'ExtendedDescription';"));
-define('CR_ED_STATE', $ED['state']);
+define('CR_ED_STATE', isset($pwg_loaded_plugins['ExtendedDescription']) ? 'active' : 'unactive');
 
 
@@ -32,8 +30,10 @@
 //					Triggers
 // +-----------------------------------------------------------------------+
-add_event_handler('get_admin_plugin_menu_links', 'CR_admin_menu'); 	// Lien d'administration
-add_event_handler('loc_end_section_init', 'CR_section_init'); 		// Paramètre URL
-add_event_handler('loc_end_index', 'CR_index'); 					// Contenu du la page
-add_event_handler('loc_end_picture', 'CR_comment_picture', 10); 	// Commentaire sur la page image
+add_event_handler('loading_lang', 'CR_load_lang'); 						// Chargement des fichiers de langue
+add_event_handler('get_admin_plugin_menu_links', 'CR_admin_menu'); 		// Lien d'administration
+add_event_handler('loc_end_section_init', 'CR_section_init'); 			// Paramètre URL
+add_event_handler('loc_end_index', 'CR_index'); 						// Contenu du la page
+add_event_handler('loc_end_picture', 'CR_comment_picture', 10); 		// Commentaire sur la page image
+add_event_handler('get_stuffs_modules', 'CR_register_stuffs_module');	// Ajoute un module pour PWG Stuffs
 if(CR_ED_STATE == 'active') add_event_handler('render_CR_content', 'get_user_language_desc'); 	// Textes multilangues
 
@@ -43,6 +43,13 @@
 // +-----------------------------------------------------------------------+
 include(CR_PATH . 'include/functions.php');
+$conf['ContestResults'] = unserialize($conf['ContestResults']);
+
 // Gestion du menu
 include(CR_PATH . 'include/cr_menubar.php');
+
+// Chargement des fichiers de langue et de la config
+function CR_load_lang() {
+	load_language('plugin.lang', CR_PATH);
+}
 
 // Lien d'administration
@@ -59,6 +66,4 @@
     global $tokens, $page, $conf;
 	
-	load_language('plugin.lang', CR_PATH);
-	
     if ($tokens[0] == 'contests') { // on est dans la section concours
 		$page['section'] = 'contests';
@@ -67,7 +72,13 @@
 		if (isset($tokens[1]) AND !empty($tokens[1])) { // on est sur la page d'un concours
 			$tokens[1] = explode('-', $tokens[1]);
+			
 			if (preg_match('#^([0-9]*)$#', $tokens[1][0])) { // is_int ne marche pas parce que le chiffre est stocké en (string)
 				$page['contest'] = $tokens[1][0];
-				$page['title'] .= $conf['level_separator'] . trigger_event('render_CR_content', get_contest_name($page['contest']));
+				
+				if ($contest_name = get_contest_name($page['contest'])) { // vérifie si le concours existe
+					$page['title'] .= $conf['level_separator'] . trigger_event('render_CR_content', $contest_name);
+				} else {
+					page_not_found(l10n('CR_notavailable'));
+				}
 			}
 		}
@@ -88,4 +99,15 @@
 }
 
+// Ajoute un module pour PWG Stuffs
+function CR_register_stuffs_module($modules) {
+	array_push($modules, array(
+		'path' => CR_PATH . '/stuffs_module',
+		'name' => CR_NAME,
+		'description' => l10n('CR_stuffs_desc'),
+	));
+
+	return $modules;
+}
+
 // Ajoute le commentaire sur la page image
 function CR_comment_picture() {
Index: extensions/ContestResults/maintain.inc.php
===================================================================
--- extensions/ContestResults/maintain.inc.php	(revision 9744)
+++ extensions/ContestResults/maintain.inc.php	(revision 9745)
@@ -14,8 +14,9 @@
 	'menubar_block' => array(
 		'number' => 5
-	)
+	),
+	'truncate_summary' => 350,
 )));
 
-// Installtion
+// Installation
 function plugin_install() {
 	global $prefixeTable;
@@ -29,7 +30,8 @@
 		`logo` VARCHAR( 255 ) NULL ,
 		`banner` VARCHAR( 255 ) NULL ,
+		`summary` TEXT NULL ,
 		`description` TEXT NULL ,
 		PRIMARY KEY ( `id` )
-	);");
+	) DEFAULT CHARSET=utf8;");
 	
 	pwg_query("CREATE TABLE `" . $prefixeTable . "contests_results` (
@@ -40,5 +42,5 @@
 		`comment` TEXT NULL,
 		UNIQUE ( `image_id` , `contest_id` )
-	);");
+	) DEFAULT CHARSET=utf8;");
 	
 	pwg_query("INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('ContestResults', '" . default_config . "', 'Parametres du plugin ContestResults');");
@@ -49,69 +51,5 @@
 	global $conf, $prefixeTable;
 
-	// compatibilité avec les versions < 1.1 (ajout d'une entrée de configuration)
-	if (!isset($conf['ContestResults'])) {
-		pwg_query("INSERT INTO " . CONFIG_TABLE . "(param,value,comment) VALUES('ContestResults', '" . default_config . "', 'Parametres du plugin ContestResults');");
-	}
-	
-	// compatibilité avec les versions < 1.2 (suppression option d'affichage)
-	$field = pwg_query("SHOW COLUMNS FROM `" . $prefixeTable . "contests` LIKE 'presentation_display'");
-	if (pwg_db_num_rows($field)) {
-		pwg_query("ALTER TABLE `" . $prefixeTable . "contests` 
-			DROP `presentation_display`,
-			DROP `rules_display`,
-			DROP `prices_display`,
-			DROP `final_display`;"
-		);
-	}
-	
-	// compatibilité avec les versions < 1.3 (suppression option status, regroupement des champs de description)
-	$field = pwg_query("SHOW COLUMNS FROM `" . $prefixeTable . "contests` LIKE 'status'");
-	if (pwg_db_num_rows($field)) {
-		pwg_query("ALTER TABLE `" . $prefixeTable . "contests` DROP `status`");
-		pwg_query("ALTER TABLE `" . $prefixeTable . "contests` ADD `description` TEXT NULL");
-		
-		$contests = pwg_query("SELECT * FROM `" . $prefixeTable . "contests`");
-		while ($contest = pwg_db_fetch_assoc($contests)) {
-			$new_description = array();
-			if (!empty($contest['presentation'])) {
-				$new_description[] = array(
-					'name' => 'Presentation[lang=fr]Présentation[/lang][lang=es]Presentación[/lang][lang=lv]Prezentacija[/lang]',
-					'content' => $contest['presentation'],
-				);
-			}
-			if (!empty($contest['rules'])) {
-				$new_description[] = array(
-					'name' => 'Rules[lang=fr]Règles[/lang][lang=es]Restricciones[/lang][lang=lv]Noteikumi[/lang]',
-					'content' => $contest['rules'],
-				);
-			}
-			if (!empty($contest['prices'])) {
-				$new_description[] = array(
-					'name' => 'Prices[lang=fr]Prix[/lang][lang=es]Precios[/lang][lang=lv]Cenas[/lang]',
-					'content' => $contest['prices'],
-				);
-			}
-			if (!empty($contest['final'])) {
-				$new_description[] = array(
-					'name' => 'Conclusion[lang=fr]Conclusion[/lang][lang=es]Conclusión[/lang][lang=lv]Beigsana[/lang]',
-					'content' => $contest['final'],
-				);
-			}
-		
-			$new_description = base64_encode(serialize($new_description));
-			pwg_query("UPDATE `" . $prefixeTable . "contests`
-				SET description = '". $new_description ."'
-				WHERE id = ". $contest['id'] .";"
-			);
-		}
-		
-		pwg_query("ALTER TABLE `" . $prefixeTable . "contests` 
-			DROP `presentation`,
-			DROP `rules`,
-			DROP `prices`,
-			DROP `final`;"
-		);
-	}
-	
+	include('include/compatibility.inc.php');
 }
 
Index: extensions/ContestResults/stuffs_module/config.inc.php
===================================================================
--- extensions/ContestResults/stuffs_module/config.inc.php	(revision 9745)
+++ extensions/ContestResults/stuffs_module/config.inc.php	(revision 9745)
@@ -0,0 +1,54 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+// Configuration par défaut
+if (!isset($datas)) {
+	$datas = array(
+		'contest_id' => array(0),
+		'nb_per_line' => 2,
+	);
+}
+
+// Enregistrement de la configuration
+if (isset($_POST['submit'])) {
+	$datas = array(
+		'contest_id' => implode(',', $_POST['contest_id']),
+		'nb_per_line' => $_POST['nb_per_line'],
+	);
+}
+
+// Récupère la liste des concours
+$contests = pwg_query("SELECT 
+		id,
+		name
+	FROM " . CR_TABLE_1 . "
+	ORDER BY id ASC;"
+);
+
+// Concours selectionnés
+$template->assign('COUNT',pwg_db_num_rows($contests));
+$selected_ids = explode(',', $datas['contest_id']);
+	
+// Liste des concours
+while ($contest = pwg_db_fetch_assoc($contests)) {
+	$template->append('contests', array(
+		'ID' => $contest['id'],
+		'NAME' => trigger_event('render_CR_content', $contest['name']),
+		'SELECTED' => in_array($contest['id'], $selected_ids) ? true : false,
+	));
+} 
+
+// Nombre de cadres
+$template->assign('NB_PER_LINE', array(
+	'OPTIONS' => array(1 => 1, 2 => 2, 3 => 3),
+	'SELECTED' => $datas['nb_per_line'],
+));
+
+
+// +-----------------------------------------------------------------------+
+//				Template
+// +-----------------------------------------------------------------------+
+$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
+$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');
+
+?>
Index: extensions/ContestResults/stuffs_module/config.tpl
===================================================================
--- extensions/ContestResults/stuffs_module/config.tpl	(revision 9745)
+++ extensions/ContestResults/stuffs_module/config.tpl	(revision 9745)
@@ -0,0 +1,14 @@
+<ul>
+	<li>
+		<span class="property">{'CR_select_contest'|@translate}</span>
+		<select name="contest_id[]" multiple="multiple" size="{$COUNT}">
+		{foreach from=$contests item=contest}
+			<option value="{$contest.ID}" {if $contest.SELECTED}selected="selected"{/if}>{$contest.ID} - {$contest.NAME}</option>
+		{/foreach}
+		</select>
+	</li>
+	<li>
+		<span class="property">{'lastcoms_nb_cadres'|@translate}</span>
+		{html_options name=nb_per_line options=$NB_PER_LINE.OPTIONS selected=$NB_PER_LINE.SELECTED}
+	</li>
+</ul>
Index: extensions/ContestResults/stuffs_module/cr_stuffs.tpl
===================================================================
--- extensions/ContestResults/stuffs_module/cr_stuffs.tpl	(revision 9745)
+++ extensions/ContestResults/stuffs_module/cr_stuffs.tpl	(revision 9745)
@@ -0,0 +1,35 @@
+{combine_css path=$block.CR_PATH|@cat:'template/style.css'}
+
+<ul class="thumbnailCategories">
+	{foreach from=$block.contests item=contest}
+	<li class="{$block.SIZE_CLASS} {if !$contest.VISIBLE}novisible{/if}">
+		<div class="thumbnailCategory">
+			<div class="illustration">
+				<a href="{$contest.URL}">
+				{if $contest.STATUS != 'finished' AND !empty($contest.LOGO)}
+					<img src="{$contest.LOGO}" alt="{$contest.NAME}" style="max-height:120px;max-width:120px;">
+				{elseif !empty($contest.RESULTS.1.TN_SRC)}
+					<img src="{$contest.RESULTS.1.TN_SRC}" alt="{$contest.NAME|@replace:'"':' '}">
+				{/if}
+				</a>
+			</div>
+			<div class="description">
+				<h3><a href="{$contest.URL}">{$contest.NAME}</a></h3>
+				<div class="text">
+					<p class="Nb_images">{$contest.DATE_BEGIN} - {$contest.DATE_END}</p>
+					<span class="CR_finished">({$contest.DAYS})</span>
+					<p>
+					{if $contest.STATUS != 'finished' AND !empty($contest.SUMMARY)}
+						{$contest.SUMMARY}
+					{else}
+						{foreach from=$contest.RESULTS item=result}
+							{'CR_order_'|cat:$result.RANK|@translate} {'CR_place'|@translate} - <u>{$result.AUTHOR}</u><br>
+						{/foreach}
+					{/if}
+					</p>
+				</div>
+			</div>
+		</div>
+	</li>
+	{/foreach}
+</ul>
Index: extensions/ContestResults/stuffs_module/index.php
===================================================================
--- extensions/ContestResults/stuffs_module/index.php	(revision 9745)
+++ extensions/ContestResults/stuffs_module/index.php	(revision 9745)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/ContestResults/stuffs_module/main.inc.php
===================================================================
--- extensions/ContestResults/stuffs_module/main.inc.php	(revision 9745)
+++ extensions/ContestResults/stuffs_module/main.inc.php	(revision 9745)
@@ -0,0 +1,80 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $user, $conf;
+
+$contests = pwg_query("SELECT 
+		id, 
+		name, 
+		visible, 
+		date_begin, 
+		date_end, 
+		logo, 
+		summary 
+	FROM " . CR_TABLE_1 . " 
+	WHERE id IN(" . $datas['contest_id'] . ");");
+	
+	
+while ($contest = pwg_db_fetch_assoc($contests)) {
+	$contest = array_merge($contest, get_contest_status($contest['date_begin'],$contest['date_end']));
+
+	if ($contest['visible'] OR is_admin()) {
+		// infos sur le concours
+		$block['contests'][$contest['id']] =  array(
+			'ID' => $contest['id'],
+			'NAME' => trigger_event('render_CR_content', $contest['name']),
+			'VISIBLE' => $contest['visible'],
+			'STATUS' => $contest['status'],
+			'DATE_END' => format_date($contest['date_end']),
+			'DATE_BEGIN' => format_date($contest['date_begin']),
+			'LOGO' => $contest['logo'],
+			'SUMMARY' => CR_cut_string(trigger_event('render_CR_content', $contest['summary']), $conf['ContestResults']['truncate_summary']),
+			'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_CR_content', $contest['name'])),
+			'DAYS' => $contest['days'],
+		);
+		
+		// podium si terminé
+		if ($contest['status'] == 'finished') {
+			$results = pwg_query("SELECT
+					i.id,
+					i.name,
+					i.file,
+					i.path,
+					i.tn_ext,
+					c.rank,
+					c.author
+				FROM " . IMAGES_TABLE . " AS i
+				INNER JOIN " . CR_TABLE_2 . " AS c
+				ON c.image_id = i.id
+				WHERE c.contest_id = " . $contest['id'] . "
+				ORDER BY c.rank ASC
+				LIMIT 3 OFFSET 0;");
+			
+			while ($result = pwg_db_fetch_assoc($results)) {
+				$block['contests'][$contest['id']]['RESULTS'][$result['rank']] = array(
+					'RANK' => $result['rank'],
+					'AUTHOR' => $result['author'],
+					'TN_SRC' => get_thumbnail_url($result)
+				);
+			}
+		}
+		
+	}
+}
+
+switch ($datas['nb_per_line']) {
+	case '1' :
+		$block['SIZE_CLASS'] = 'one_comment';
+		break;
+	case '2' :
+		$block['SIZE_CLASS'] = 'two_comment';
+		break;
+	case '3' :
+		$block['SIZE_CLASS'] = 'three_comment';
+		break;
+}
+
+$block['CR_PATH'] = CR_PATH;
+$block['TEMPLATE'] = dirname(__FILE__).'/cr_stuffs.tpl';
+
+?>
